Skip to main content
`Ctrl`+`K`

# DMPlexComputeInterpolatorGeneral

Form the local portion of the interpolation matrix from the coarse `DM` to a non-nested fine `DM`.

## Synopsis

    #include "petscdmplex.h"
    PetscErrorCode DMPlexComputeInterpolatorGeneral(DM dmc, DM dmf, Mat In, PetscCtx ctx)

## Input Parameters

- dmf - The fine mesh

- dmc - The coarse mesh

- ctx - The application context

## Output Parameter

- In - The interpolation matrix

## See Also

DMPlex: Unstructured Grids, `DM`, `DMPLEX`, `DMPlexComputeInterpolatorNested()`

## Level

developer

## Location

src/dm/impls/plex/plexfem.c

Index of all DMPlex routines
Table of Contents for all manual pages
Index of all manual pages